Bug 1291159 - Virt-viewer/spice-gtk miss dependency of usbredir
Virt-viewer/spice-gtk miss dependency of usbredir
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-gtk (Show other bugs)
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Default Assignee for SPICE Bugs
SPICE QE bug list
Depends On:
  Show dependency treegraph
Reported: 2015-12-14 02:50 EST by tingting zheng
Modified: 2016-05-10 17:20 EDT (History)
9 users (show)

See Also:
Fixed In Version: spice-gtk-0.26-7.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-05-10 17:20:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description tingting zheng 2015-12-14 02:50:27 EST
Description of problem:
virt-viewer-2.0-8.el6.x86_64 doesn't work with usbredir-0.5.1-2.el6.x86_64

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install virt-viewer and spice-gtk with latest version,eg:virt-viewer-2.0-8.el6.x86_64,spice-gtk-0.26-6.el6.x86_64

2.Use virt-viewer to open some guest or show the help:
# virt-viewer rhel7.2 --debug
virt-viewer: symbol lookup error: /usr/lib64/libspice-client-glib-2.0.so.8: undefined symbol: usbredirhost_set_buffered_output_size_cb

# virt-viewer --help
virt-viewer: symbol lookup error: /usr/lib64/libspice-client-glib-2.0.so.8: undefined symbol: usbredirhost_set_buffered_output_size_cb
3.Update usbredir to usbredir-0.5.1-3.el6.x86_64,no such above error info.

Actual results:
As description.

Expected results:
There are dependency for usbredir added for virt-viewer/spice-gtk.

Additional info:
Comment 1 Fabiano Fidêncio 2015-12-14 03:00:17 EST
The problem was caused due to a fix for Bug 1290749. I have a local patch for spice-gtk (see the diff below) and it will be applied for the next build.

diff --git a/spice-gtk.spec b/spice-gtk.spec
index fcdeace..45a30b9 100644
--- a/spice-gtk.spec
+++ b/spice-gtk.spec
@@ -51,6 +51,8 @@ BuildRequires: libtool
 Requires: spice-glib%{?_isa} = %{version}-%{release}
 Requires: gtk2 >= 2.20.0
 Requires: glib2 >= 2.28
+# needed for rhbz#1291159
+Requires: usbredir >= 0.5.1-3
 ExclusiveArch: %{ix86} x86_64
Comment 2 Fabiano Fidêncio 2015-12-18 11:09:55 EST
Moving to the right component.
Comment 8 errata-xmlrpc 2016-05-10 17:20:20 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.